﻿using EnvelopeCreatorProject.DocusignAPI;

namespace EnvelopeCreatorProject.Models.Recipients.RecipientTypeBuilders
{
    internal class CertifiedDeliveriesBuilder : RecipientTypeBuilder
    {
        protected override string GetData(Recipient objRecipient)
        {
            return string.Format(
                    "{{{0}email{0}:{0}{1}{0},{0}name{0}:{0}{2}{0},{3}}}",
                    "\"",
                    objRecipient.Email,
                    objRecipient.UserName,
                    GetRecipientCommonInfo(objRecipient)
                    );
        }

        internal override string GetRecipientsData()
        {
            return string.Format("{0}certifiedDeliveries{0}:[{1}]", "\"", base.GetRecipientsData());
        }
    }
}
