﻿using System;
using EnvelopeCreatorProject.DocusignAPI;

namespace EnvelopeCreatorProject.Exceptions
{
    internal class RecipientTypeNullException : Exception
    {
        internal RecipientTypeNullException(Recipient r)
            : base(GetMessage(r))
        {
        }

        private static string GetMessage(Recipient r)
        {
            return string.Format("Recipient with name:{0} and email:{1} does not have a Recipient Type specified",
                r.UserName,
                r.Email);
        }
    }
}
